Results 1 to 5 of 5

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: I need help. Please respond. :(

  1. #1
    Default I need help. Please respond. :(
    Hello everyone, I am new to this forum and I need help.
    I just bought my brand new iPod Touch 3G 8GB running on firmware 3.1.3
    I did what everyone does, I try to downgrade to firmware 3.1.2 HOWEVER, it gave me an error 28. Any solutions?

  2. #2
    What was the exact error message it gave you and if when you bought it the firmware was 3.1.3 then as of right now there is no known way to downgrade that trust me it tried 87 times on my friends.

  3. #3
    EffenTroll ! Effenpig!'s Avatar
    Join Date
    Jan 2010
    Location
    In a house
    Posts
    1,057
    Thanks
    18
    Thanked 57 Times in 50 Posts

    Unless I'm mistaken, you can downgrade a 3g and jailbreak. You just can't unlock because of the new baseband you get when you upgrade to the official 3.1.3

    you should be able to download the 3.1.2 firmware and use shift+restore and select 3.1.2

    Oh crap, didn't notice it's an iPod. Nevermind. I'm retarded
    Last edited by Effenpig!; 2010-03-30 at 05:23 AM. Reason: Automerged Doublepost

  4. #4
    i think u can jailbreak ur ipod touch 3.1.3 go to this LINK

    Jailbreak iPod Touch 3.1.3 OS | iPod Touch Tricks

  5. #5
    you can jailbreak 3.1.3 the only catch is that iPod Touch 3rd gen, and 2nd gen MC models can't be jailbroken.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •